Attribute VB_Name = "Module1"
Option Explicit

' Initializes an application's use of the Win32 Internet functions
Public Declare Function InternetOpen Lib "wininet.dll" _
                        Alias "InternetOpenA" ( _
                        ByVal sAgent As String, _
                        ByVal lAccessType As Long, _
                        ByVal sProxyName As String, _
                        ByVal sProxyBypass As String, _
                        ByVal lFlags As Long) As Long
                        
' User agent constant.
Public Const scUserAgent = "http sample"

' Use registry access settings.
Public Const INTERNET_OPEN_TYPE_PRECONFIG = 0

' Opens a HTTP session for a given site.
Public Declare Function InternetConnect Lib "wininet.dll" _
                        Alias "InternetConnectA" ( _
                        ByVal hInternetSession As Long, _
                        ByVal sServerName As String, _
                        ByVal nServerPort As Integer, _
                        ByVal sUsername As String, _
                        ByVal sPassword As String, _
                        ByVal lService As Long, _
                        ByVal lFlags As Long, _
                        ByVal lContext As Long) As Long
                        
' Number of the TCP/IP port on the server to connect to.
Public Const INTERNET_DEFAULT_HTTP_PORT = 80

' Type of service to access.
Public Const INTERNET_SERVICE_HTTP = 3

' Opens an HTTP request handle.
Public Declare Function HttpOpenRequest Lib "wininet.dll" _
                        Alias "HttpOpenRequestA" ( _
                        ByVal hHttpSession As Long, _
                        ByVal sVerb As String, _
                        ByVal sObjectName As String, _
                        ByVal sVersion As String, _
                        ByVal sReferer As String, _
                        ByVal something As Long, _
                        ByVal lFlags As Long, _
                        ByVal lContext As Long) As Long
                        
' Brings the data across the wire even if it locally cached.
Public Const INTERNET_FLAG_RELOAD = &H80000000

' Sends the specified request to the HTTP server.
Public Declare Function HttpSendRequest Lib "wininet.dll" _
                        Alias "HttpSendRequestA" ( _
                        ByVal hHttpRequest As Long, _
                        ByVal sHeaders As String, _
                        ByVal lHeadersLength As Long, _
                        sOptional As Any, _
                        ByVal lOptionalLength As Long) As Integer
                        
' Queries for information about an HTTP request.
Public Declare Function HttpQueryInfo Lib "wininet.dll" _
                        Alias "HttpQueryInfoA" ( _
                        ByVal hHttpRequest As Long, _
                        ByVal lInfoLevel As Long, _
                        ByRef sBuffer As Any, _
                        ByRef lBufferLength As Long, _
                        ByRef lIndex As Long) As Integer
                        
' The possible values for the lInfoLevel parameter include:
Public Const HTTP_QUERY_STATUS_CODE = 19
Public Const HTTP_QUERY_STATUS_TEXT = 20
Public Const HTTP_QUERY_RAW_HEADERS = 21
Public Const HTTP_QUERY_RAW_HEADERS_CRLF = 22

' Add this flag to the about flags to get request header.
Public Const HTTP_QUERY_FLAG_REQUEST_HEADERS = &H80000000

' Closes a single Internet handle or a subtree of Internet handles.
Public Declare Function InternetCloseHandle Lib "wininet.dll" ( _
                        ByVal hInet As Long) As Integer
                        
' Queries an Internet option on the specified handle
Public Declare Function InternetQueryOption Lib "wininet.dll" _
                        Alias "InternetQueryOptionA" ( _
                        ByVal hInternet As Long, _
                        ByVal lOption As Long, _
                        ByRef sBuffer As Any, _
                        ByRef lBufferLength As Long) As Integer
                        

